/* $Id: gtools.h,v 1.7 2001/05/23 06:56:05 dm Exp $ */
/*
 *  UNIX-Connect, a ZCONNECT(r) Transport and Gateway/Relay.
 *  Copyright (C) 1996-2000  Dirk Meyer
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ------------------------------------------------------------------------
 * Eine deutsche Zusammenfassung zum Copyright dieser Programme sowie der
 * GNU General Public License finden Sie in der Datei README.1st.
 * ------------------------------------------------------------------------
 *
 *  Bugreports, suggestions for improvement, patches, ports to other systems
 *  etc. are welcome. Contact the maintainer by e-mail:
 *  dirk.meyer@dinoex.sub.org or snail-mail:
 *  Dirk Meyer, Im Grund 4, 34317 Habichtswald
 *
 *  There is a mailing-list for user-support:
 *   unix-connect-users@lists.sourceforge.net,
 *  write a mail with subject "Help" to
 *   unix-connect-users-request@lists.sourceforge.net
 *  for instructions on how to join this list.
 */


/*
 * gtools.h - Werzeuge
 *
 */

extern char datei[2000];
extern char baseid[20];

void usage(void)
#ifdef __GNUC__
__attribute__ ((noreturn))
#endif
;

void do_version( const char *name )
#ifdef __GNUC__
__attribute__ ((noreturn))
#endif
;

void do_help(void)
#ifdef __GNUC__
__attribute__ ((noreturn))
#endif
;

FILE *open_new_file( const char *name, const char *dir, const char *ext );

#define BIGBUFFER	(256*1024)	/* Kopier-Puffer ( > 30k) */
#define SMALLBUFFER	(64*1024)	/* Kopier-Puffer ( > 30k) */

